# Tickets

Everything about your tickets

 - [POST /tickets/{id}/reply](https://developers.intercom.com/docs/references/2.13/rest-api/api.intercom.io/tickets/replyticket.md): You can reply to a ticket with a message from an admin or on behalf of a contact, or with a note for admins.
 - [POST /tickets/{ticket_id}/tags](https://developers.intercom.com/docs/references/2.13/rest-api/api.intercom.io/tickets/attachtagtoticket.md): You can tag a specific ticket. This will return a tag object for the tag that was added to the ticket.
 - [DELETE /tickets/{ticket_id}/tags/{id}](https://developers.intercom.com/docs/references/2.13/rest-api/api.intercom.io/tickets/detachtagfromticket.md): You can remove tag from a specific ticket. This will return a tag object for the tag that was removed from the ticket.
 - [POST /tickets](https://developers.intercom.com/docs/references/2.13/rest-api/api.intercom.io/tickets/createticket.md): You can create a new ticket.
 - [PUT /tickets/{id}](https://developers.intercom.com/docs/references/2.13/rest-api/api.intercom.io/tickets/updateticket.md): You can update a ticket.
 - [GET /tickets/{id}](https://developers.intercom.com/docs/references/2.13/rest-api/api.intercom.io/tickets/getticket.md): You can fetch the details of a single ticket.
 - [DELETE /tickets/{id}](https://developers.intercom.com/docs/references/2.13/rest-api/api.intercom.io/tickets/deleteticket.md): Deleting a ticket is permanent and cannot be reversed. Deleting a ticket permanently removes it from the inbox. All sensitive data is deleted, including admin and user replies, ticket attributes, uplo
 - [POST /tickets/search](https://developers.intercom.com/docs/references/2.13/rest-api/api.intercom.io/tickets/searchtickets.md): You can search for multiple tickets by the value of their attributes in order to fetch exactly which ones you want. To search for tickets, you send a `POST` request to `https://api.intercom.io/tickets
 - [Ticket](https://developers.intercom.com/docs/references/2.13/rest-api/api.intercom.io/tickets/ticket.md): Schema: #/components/schemas/ticket
 - [Contacts](https://developers.intercom.com/docs/references/2.13/rest-api/api.intercom.io/tickets/ticket_contacts.md): Schema: #/components/schemas/ticket_contacts
 - [Ticket Part](https://developers.intercom.com/docs/references/2.13/rest-api/api.intercom.io/tickets/ticket_part.md): Schema: #/components/schemas/ticket_part
 - [Ticket State](https://developers.intercom.com/docs/references/2.13/rest-api/api.intercom.io/tickets/ticket_state.md): Schema: #/components/schemas/ticket_state
 - [Ticket State](https://developers.intercom.com/docs/references/2.13/rest-api/api.intercom.io/tickets/ticket_state_detailed.md): Schema: #/components/schemas/ticket_state_detailed
 - [Ticket Type](https://developers.intercom.com/docs/references/2.13/rest-api/api.intercom.io/tickets/ticket_type.md): Schema: #/components/schemas/ticket_type
